Voro++: voro::c_loop_all Class Reference

Voro++

- Main Page
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
voro::c_loop_all Class Reference

Class for looping over all of the particles in a container. More...

`#include <c_loops.hh>`

Inheritance diagram for voro::c_loop_all:

## Public Member Functions
template<class c_class >
| c_loop_all (c_class &con)
bool | start ()
bool | inc ()
Public Member Functions inherited from voro::c_loop_base
template<class c_class >
| c_loop_base (c_class &con)
void | pos (double &x, double &y, double &z)
void | pos (int &pid, double &x, double &y, double &z, double &r)
double | x ()
double | y ()
double | z ()
int | pid ()

## Additional Inherited Members
Data Fields inherited from voro::c_loop_base
const int | nx
const int | ny
const int | nz
const int | nxy
const int | nxyz
const int | ps
double ** | p
int ** | id
int * | co
int | i
int | j
int | k
int | ijk
int | q

## Detailed Description

This is one of the simplest loop classes, that scans the computational blocks in order, and scans all the particles within each block in order.

Definition at line 165 of file c_loops.hh.

## Constructor & Destructor Documentation

template<class c_class >

voro::c_loop_all::c_loop_all | ( | c_class & | con | ) |
| inline

The constructor copies several necessary constants from the base container class.

Parameters

  [in] | con | the container class to use.

Definition at line 171 of file c_loops.hh.

## Member Function Documentation

bool voro::c_loop_all::inc | ( |  | ) |
| inline

Finds the next particle to test.

Returns
  True if there is another particle, false if no more particles are available.

Definition at line 183 of file c_loops.hh.

bool voro::c_loop_all::start | ( |  | ) |
| inline

Sets the class to consider the first particle.

Returns
  True if there is any particle to consider, false otherwise.

Definition at line 175 of file c_loops.hh.

The documentation for this class was generated from the following file:

- c_loops.hh